from common.aliyun_log import AliyunLogger
from common.redis import insert_pq_data
import schedule
import time


def bot():
    try:
        print("开始执行")
        pq_list = AliyunLogger.query_logs_by_status()

        if pq_list:
            insert_pq_data(pq_list)
            print(f"插入数据: {pq_list}")
        else:
            print("没有新的日志数据")

    except Exception as e:
        print(f"执行时出错: {e}")
    finally:
        print("执行结束")


# 每分钟执行一次
schedule.every().minute.do(bot)

if __name__ == "__main__":
    while True:
        schedule.run_pending()
        time.sleep(1)  # 等待 1 秒
